using System.Collections.Generic;
using Wizard.Scripts.Network.Data.TableData.Arena.TwoPick;

public class RoomTwoPickBeforeBattleInfo
{
	public Deck receiveDeck { get; private set; }

	public RoomTwoPickBeforeBattleInfo()
	{
		receiveDeck = new Deck();
		receiveDeck.cardIds = new int[0];
	}

	public void ReceiveBackDraftCardIdList(List<int> list)
	{
		receiveDeck.cardIds = list.ToArray();
	}

	public void ReceiveBackDraftCharaId(int id)
	{
		receiveDeck.skinId = id;
	}

	public void SetClassId(int classId)
	{
		receiveDeck.classId = classId;
	}

	public void SelfInfoClasIdCopyTwoPickDraftData()
	{
		SetClassId(GameMgr.GetIns().GetNetworkUserInfoData().GetSelfClassId());
	}

	public void SetSelfClassIdTwoPickDraftData(int classId)
	{
		SetClassId(classId);
	}

	public void SelfInfoDeckCopyTwoPickDraftData()
	{
		List<CardDataModel> selfDeck = GameMgr.GetIns().GetNetworkUserInfoData().GetSelfDeck();
		List<int> list = new List<int>(selfDeck.Count);
		foreach (CardDataModel item in selfDeck)
		{
			list.Add(item.CardId);
		}
		ReceiveBackDraftCardIdList(list);
		ReceiveBackDraftCharaId(GameMgr.GetIns().GetNetworkUserInfoData().GetSelfCharaId());
	}
}
